API ReferenceWebhooks
Get Webhook
Retrieves the details of a specific webhook using its ID.
GET/v2/hooks/{hookId}
Usage
TypeScript Example
import { v0 } from 'v0-sdk'const result = await v0.webhooks.get({ hookId: 'wh_ghi012',})console.log(result)API Signature
Request
Path Parameters
hookId: string
The unique identifier of the webhook to retrieve.
Response
id: string
A unique identifier for the webhook.
createdAt: string
The ISO timestamp representing when the chat was created.
name: string
A user-defined name to label the webhook.
events: ('chat.created' | 'chat.updated' | 'chat.deleted' | 'message.created' | 'message.updated' | 'message.deleted' | 'message.finished')[]
List of event types this webhook is subscribed to.
url: string
Target URL that receives event payloads for this webhook.
chatId: string | null
Optional ID of the chat that this webhook is scoped to.